=== debian/control ===
Source: libtree-rb-perl
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: libenum-perl,
 perl
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libtree-rb-perl.git
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libtree-rb-perl.git
Homepage: https://metacpan.org/release/Tree-RB

Package: libtree-rb-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 libenum-perl
Description: Perl implementation of the Red/Black tree
 Tree::RB is a Pure-Perl implementation of the Red/Black tree, a type of
 balanced binary search tree.
 .
 A tied hash interface is also provided to allow ordered hashes to be used.
 .
 See the Wikipedia article at http://en.wikipedia.org/wiki/Red-black_tree for
 more on Red/Black trees.
