=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: gregor herrmann <gregoa@debian.org>
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: libenum-perl,
  perl
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libtree-rb-perl.git
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libtree-rb-perl.git
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libtree-rb-perl.git
 Homepage: https://metacpan.org/release/Tree-RB
+Testsuite: autopkgtest-pkg-perl
 
 Package: libtree-rb-perl
 Architecture: all
