## libtree-rb-perl 0.500006

=== debian/changelog ===
libtree-rb-perl (0.500006-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libtree-rb-perl: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 Nov 2022 17:23:51 +0000

libtree-rb-perl (0.500006-2) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 28 Jun 2022 21:19:04 +0100

libtree-rb-perl (0.500006-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: change GitHub/CPAN URL(s) to HTTPS.

  * Import upstream version 0.500006.
  * Update debian/upstream/metadata.
  * Update years of upstream and packaging copyright, drop stanza about
    removed files.
  * Update build dependencies.
  * Declare compliance with Debian Policy 4.1.1.
  * debian/rules: tell dh(1) to use the perl_build buildsystem.

 -- gregor herrmann <gregoa@debian.org>  Wed, 01 Nov 2017 19:06:55 +0100
