=== debian/control ===
Source: libtree-rb-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13), libmodule-build-tiny-perl
Build-Depends-Indep: libenum-perl,
                     perl
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libtree-rb-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libtree-rb-perl.git
Homepage: https://metacpan.org/release/Tree-RB

Package: libtree-rb-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libenum-perl
Multi-Arch: foreign
Description: Perl implementation of the Red/Black tree
 Tree::RB is a Pure-Perl implementation of the Red/Black tree, a type of
 balanced binary search tree.
 .
 A tied hash interface is also provided to allow ordered hashes to be used.
 .
 See the Wikipedia article at http://en.wikipedia.org/wiki/Red-black_tree for
 more on Red/Black trees.
