=== debian/watch ===
version=4
https://metacpan.org/release/Tree-RB   .*/Tree-RB-v?@ANY_VERSION@@ARCHIVE_EXT@$
